MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::LocalSCMatrixKit Class Reference

    The LocalSCMatrixKit produces matrices that work in a single processor

environment. More...

`#include <local.h>`

Inheritance diagram for sc::LocalSCMatrixKit:
[legend]
Collaboration diagram for sc::LocalSCMatrixKit:
[legend]

## Public Member Functions
| LocalSCMatrixKit (const Ref< KeyVal > &)
SCMatrix * | matrix (const RefSCDimension &, const RefSCDimension &)
| Given the dimensions, create matrices or vectors.
SymmSCMatrix * | symmmatrix (const RefSCDimension &)
DiagSCMatrix * | diagmatrix (const RefSCDimension &)
SCVector * | vector (const RefSCDimension &)
Public Member Functions inherited from sc::SCMatrixKit
| SCMatrixKit (const Ref< KeyVal > &)
Ref< MessageGrp > | messagegrp () const
SCMatrix * | restore_matrix (StateIn &, const RefSCDimension &, const RefSCDimension &)
| Given the dimensions and a StateIn object, restore matrices or vectors. More...
SymmSCMatrix * | restore_symmmatrix (StateIn &, const RefSCDimension &)
DiagSCMatrix * | restore_diagmatrix (StateIn &, const RefSCDimension &)
SCVector * | restore_vector (StateIn &, const RefSCDimension &)
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members
Static Public Member Functions inherited from sc::SCMatrixKit
static SCMatrixKit * | default_matrixkit ()
| This returns a LocalSCMatrixKit, unless the default has been changed with set_default_matrixkit. More...
static void | set_default_matrixkit (const Ref< SCMatrixKit > &)
Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)
Protected Attributes inherited from sc::SCMatrixKit
Ref< MessageGrp > | grp_

## Detailed Description

    The LocalSCMatrixKit produces matrices that work in a single processor

environment.

The documentation for this class was generated from the following file:

- local.h